Name: H5Pset_dxpl_mpio
Signature:
  herr_t `H5Pset_dxpl_mpio`( hid_t `dxpl_id`, H5FD_mpio_xfer_t `xfer_mode` )
Purpose:
  Sets data transfer mode.
Description:
  `H5Pset_dxpl_mpio` sets the data transfer property list `dxpl_id` to use transfer mode `xfer_mode`. The property list can then be used to control the I/O transfer mode during data I/O operations.

  Valid transfer modes are as follows:

  `H5FD_MPIO_INDEPENDENT`
    Use independent I/O access (default).
  `H5FD_MPIO_COLLECTIVE`
    Use collective I/O access.
Parameters:

hid_t `dxpl_id` | IN: Data transfer property list identifier.
H5FD_mpio_xfer_t `xfer_mode` | IN: Transfer mode.

Returns:
  Returns a non-negative value if successful. Otherwise returns a negative value.
Fortran90 Interface:

      SUBROUTINE h5pset_dxpl_mpio_f(prp_id, data_xfer_mode, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        INTEGER, INTENT(IN) :: data_xfer_mode ! Data transfer mode
                                              ! Possible values are:
                                              !    H5FD_MPIO_INDEPENDENT_F
                                              !    H5FD_MPIO_COLLECTIVE_F
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_dxpl_mpio_f

History:

Release | C
1.4.0 | Function introduced in this release.